org.apache.tools.ant.util

## Class ResourceUtils.ReadOnlyTargetFileException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tools.ant.util.ResourceUtils.ReadOnlyTargetFileException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ResourceUtils

    public static class ResourceUtils.ReadOnlyTargetFileException
    extends java.io.IOException

Since:
  Ant 1.9.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlyTargetFileException(java.io.File destFile)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadOnlyTargetFileException

    public ReadOnlyTargetFileException(java.io.File destFile)